Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake.F90	(revision 5099)
@@ -152,5 +152,4 @@
   REAL, DIMENSION (klon),           INTENT(IN)          :: Cin
 
-  !
   ! Input/Output
   ! State variables
@@ -346,10 +345,10 @@
   ! alpk = 0.5
   ! alpk = 0.05
-!
+
  igout = klon/2+1/klon
-!
+
 !   sub-time-stepping parameters
   dtimesub = dtime/wk_nsub
-!
+
 IF (first_call) THEN
 !!#define IOPHYS_WK
@@ -376,5 +375,5 @@
   !>jyg
  ENDIF  ! (iflag_wk_pop_dyn == 0)
-!
+
  IF (iflag_wk_pop_dyn >=1) THEN
    IF (iflag_wk_pop_dyn == 3) THEN
@@ -444,5 +443,5 @@
       d_asig_bnd2(:) = 0.
       d_asigmaw2(:) = 0.
-!
+
       d_dens_gen2(:)   = 0.
       d_dens_death2(:) = 0.
@@ -468,5 +467,5 @@
    asigmaw_in(:) = asigmaw(:)
 !>jyg
-!
+
   IF (iflag_wk_pop_dyn >= 1) THEN
     awdens_in(:) = awdens(:)
@@ -521,5 +520,5 @@
     END DO
   ENDIF  ! (iflag_wk_pop_dyn >= 1)
-!
+
   DO i = 1, klon
     sigmaw_targ = min(max(sigmaw(i), sigmad),0.99)
@@ -528,5 +527,5 @@
     sigmaw(i) = sigmaw_targ
   END DO
-!
+
   IF (iflag_wk_pop_dyn == 3) THEN
      DO i = 1, klon  
@@ -547,5 +546,5 @@
   d_asigmaw(:) = 0.
   ktopw(:) = 0
-!
+
 !<jyg
 dth(:,:) = 0.
@@ -565,5 +564,5 @@
 cstar(:) = 0.
 ktopw(:) = 0
-!
+
 !  Vertical advection local variables
 omgbw(:,:) = 0.
@@ -573,5 +572,5 @@
 
 !>jyg
-!
+
   IF (prt_level>=10) THEN
     PRINT *, 'wake-1, sigmaw(igout) ', sigmaw(igout)
@@ -801,5 +800,5 @@
     ENDIF  !!  (wape(i)<0.)
   ENDDO
-  !
+
   IF (iflag_wk_pop_dyn == 3) THEN
     DO i = 1, klon
@@ -826,5 +825,4 @@
     END IF
   END DO
-  !
 
   ! Check qx and qw positivity
@@ -868,7 +866,7 @@
   ! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   ! ------------------------------------------------------------------------
-  !
+
   DO isubstep = 1, wk_nsub
-  !
+
   ! ------------------------------------------------------------------------
     ! wk_adv is the logical flag enabling wake evolution in the time advance
@@ -977,5 +975,5 @@
 !!--------------------------------------------------------
     IF (iflag_wk_pop_dyn == 1) THEN
-  !
+
      CALL wake_popdyn_1 (klon, klev, dtime, cstar, tau_wk_inv, wgen, wdens, awdens, sigmaw, &
                   wdensmin, &
@@ -991,5 +989,5 @@
 !!--------------------------------------------------------
     ELSEIF (iflag_wk_pop_dyn == 2) THEN
-  !
+
      CALL wake_popdyn_2 ( klon, klev, wk_adv, dtimesub, wgen, &
                              wdensmin, &
@@ -1019,5 +1017,5 @@
     ENDIF
 #endif
-  !
+
      CALL wake_popdyn_3 ( klon, klev, phys_sub, wk_adv, dtimesub, wgen, &
                              wdensmin, &
@@ -1419,6 +1417,4 @@
           ! print*,'dtKE= ',dtKE(i,k),' dqKE= ',dqKE(i,k)
 
-!
-
           ! cc nrlmd          Prise en compte du taux de mortalite
           ! cc               Definitions de entr, detr
@@ -1495,5 +1491,5 @@
     CALL wake_vec_modulation(klon, klev, wk_adv, epsilon_loc, qb, d_qb, deltaqw, &
       d_deltaqw, sigmaw, d_sigmaw, alpha)
-    !
+
     ! Alpha_tot = Product of all the alpha's
     DO i = 1, klon
@@ -1555,5 +1551,5 @@
       END DO
     END DO
-!
+
     DO i = 1, klon
       IF (wk_adv(i)) THEN
@@ -1622,5 +1618,5 @@
         END IF
       END DO
-!
+
       IF (iflag_wk_pop_dyn >= 2) THEN
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! awdens again for iflag_wk_pop_dyn >= 2!!!!!!
@@ -1642,5 +1638,5 @@
            END IF
         END DO
-!
+
         IF (iflag_wk_pop_dyn == 3) THEN
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! asigmaw for iflag_wk_pop_dyn = 3!!!!!!
@@ -1675,5 +1671,5 @@
      CALL iophys_ecrit('sigmawb',1,'sigmawb','m',sigmaw)
      CALL iophys_ecrit('asigmawb',1,'asigmawb','m',asigmaw)
-!
+
      call iophys_ecrit('d_wdens2',1,'d_wdens2','',d_wdens2)
      call iophys_ecrit('d_dens_gen2',1,'d_dens_gen2','',d_dens_gen2)
@@ -1681,5 +1677,5 @@
      call iophys_ecrit('d_dens_col2',1,'d_dens_col2','',d_dens_col2)
      call iophys_ecrit('d_dens_bnd2',1,'d_dens_bnd2','',d_dens_bnd2)
-!
+
      call iophys_ecrit('d_awdens2',1,'d_awdens2','',d_awdens2)
      call iophys_ecrit('d_adens_death2',1,'d_adens_death2','',d_adens_death2)
@@ -1687,5 +1683,5 @@
      call iophys_ecrit('d_adens_acol2',1,'d_adens_acol2','',d_adens_acol2)
      call iophys_ecrit('d_adens_bnd2',1,'d_adens_bnd2','',d_adens_bnd2)
-!
+
      CALL iophys_ecrit('d_sigmaw2',1,'d_sigmaw2','',d_sigmaw2)
      CALL iophys_ecrit('d_sig_gen2',1,'d_sig_gen2','m',d_sig_gen2)
@@ -1694,5 +1690,5 @@
      CALL iophys_ecrit('d_sig_death2',1,'d_sig_death2','',d_sig_death2)
      CALL iophys_ecrit('d_sig_bnd2',1,'d_sig_bnd2','',d_sig_bnd2)
-!
+
      CALL iophys_ecrit('d_asigmaw2',1,'d_asigmaw2','',d_asigmaw2)
      CALL iophys_ecrit('d_asig_spread2',1,'d_asig_spread2','m',d_asig_spread2)
@@ -1843,5 +1839,5 @@
           d_sigmaw2(i) = d_sigmaw2(i) + sigmaw_targ - sigmaw(i)
           sigmaw(i) = sigmaw_targ
-!
+
           d_asig_bnd2(i) = d_asig_bnd2(i) + sigmaw_targ - asigmaw(i)
           d_asigmaw2(i) = d_asigmaw2(i) + sigmaw_targ - asigmaw(i)
@@ -1856,13 +1852,12 @@
       END IF
     END DO
-  !
+
   ! ------------------------------------------------------------------------
-  !
+
   END DO   ! isubstep end sub-timestep loop
-  !
+
   ! ------------------------------------------------------------------------
   ! ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
   ! ------------------------------------------------------------------------
-  !
 
 #ifdef IOPHYS_WK
@@ -1969,5 +1964,5 @@
           sum_dtdwn(i) = sum_dtdwn(i) + dtdwn(i, k)*dz(i)
           sum_dqdwn(i) = sum_dqdwn(i) + dqdwn(i, k)*dz(i)
-!
+
           dthmin(i) = min(dthmin(i), dth(i,k))
         END IF
@@ -2075,5 +2070,5 @@
       d_sigmaw2(i) = d_sigmaw2(i) + sigmaw_targ - sigmaw(i)
       sigmaw(i) = sigmaw_targ
-!
+
       d_asig_bnd2(i) = d_asig_bnd2(i) + sigmaw_targ - asigmaw(i)
       d_asigmaw2(i) = d_asigmaw2(i) + sigmaw_targ - asigmaw(i)
@@ -2132,9 +2127,9 @@
        CALL iophys_ecrit('sigmaw',1,'sigmaw','m',sigmaw)
        CALL iophys_ecrit('asigmaw',1,'asigmaw','m',asigmaw)
-!   
+
        CALL iophys_ecrit('rad_wk',1,'rad_wk','J/kg',rad_wk)
        CALL iophys_ecrit('arad_wk',1,'arad_wk','J/kg',arad_wk)
        CALL iophys_ecrit('irad_wk',1,'irad_wk','J/kg',irad_wk)
-!   
+
        call iophys_ecrit('d_wdens2',1,'d_wdens2','',d_wdens2)
        call iophys_ecrit('d_dens_gen2',1,'d_dens_gen2','',d_dens_gen2)
@@ -2142,5 +2137,5 @@
        call iophys_ecrit('d_dens_col2',1,'d_dens_col2','',d_dens_col2)
        call iophys_ecrit('d_dens_bnd2',1,'d_dens_bnd2','',d_dens_bnd2)
-!   
+
        call iophys_ecrit('d_awdens2',1,'d_awdens2','',d_awdens2)
        call iophys_ecrit('d_adens_death2',1,'d_adens_death2','',d_adens_death2)
@@ -2148,5 +2143,5 @@
        call iophys_ecrit('d_adens_acol2',1,'d_adens_acol2','',d_adens_acol2)
        call iophys_ecrit('d_adens_bnd2',1,'d_adens_bnd2','',d_adens_bnd2)
-!   
+
        CALL iophys_ecrit('d_sigmaw2',1,'d_sigmaw2','',d_sigmaw2)
        CALL iophys_ecrit('d_sig_gen2',1,'d_sig_gen2','m',d_sig_gen2)
@@ -2155,5 +2150,5 @@
        CALL iophys_ecrit('d_sig_death2',1,'d_sig_death2','',d_sig_death2)
        CALL iophys_ecrit('d_sig_bnd2',1,'d_sig_bnd2','',d_sig_bnd2)
-!   
+
        CALL iophys_ecrit('d_asigmaw2',1,'d_asigmaw2','',d_asigmaw2)
        CALL iophys_ecrit('d_asig_spread2',1,'d_asig_spread2','m',d_asig_spread2)
@@ -2218,5 +2213,5 @@
       hw(i) = 0.                            !jyg
       fip(i) = 0.
-!
+
 !!      sigmaw(i) = 0.                        !jyg
       sigmaw_targ = 0.
@@ -2225,5 +2220,5 @@
       d_sigmaw2(i) = sigmaw_targ - sigmaw_in(i)      ! _in = correction jyg 20220124
       sigmaw(i) = sigmaw_targ
-!
+
       IF (iflag_wk_pop_dyn >= 3) THEN
         sigmaw_targ = 0.
@@ -2235,5 +2230,5 @@
         asigmaw(i) = 0.
       ENDIF ! (iflag_wk_pop_dyn >= 3)
-!
+
       IF (iflag_wk_pop_dyn >= 1) THEN
 !!        awdens(i) = 0.
@@ -2305,5 +2300,5 @@
       d_sig_bnd2(i) = d_sig_bnd2(i)/dtime
       d_sigmaw2(i) = d_sigmaw2(i)/dtime
-!
+
       d_dens_gen2(i) = d_dens_gen2(i)/dtime
       d_dens_death2(i) = d_dens_death2(i)/dtime
@@ -2846,7 +2841,4 @@
   INTEGER,                          INTENT(IN)          :: iflag_wk_act
 
-  
-  !
- 
   ! Tendencies of state variables (2 is appended to the names of fields which are the cumul of fields 
   !                                 computed at each sub-timestep; e.g. d_wdens2 is the cumul of d_wdens)
@@ -2925,5 +2917,5 @@
 !!                         2.*wdens(i)*gfl(i)*drdt_pos )*dtimesub
 !>jyg+mlt
-!
+
 !jyg<
           d_wdens_targ = max(d_wdens(i), wdensmin-wdens(i))
@@ -2951,5 +2943,5 @@
           d_sigmaw(i) =  d_sig_gen(i) + d_sig_death(i) + d_sig_col(i) + d_sig_spread(i)
 !>jyg+mlt
-!
+
 !jyg<
           d_sigmaw_targ = max(d_sigmaw(i), sigmad-sigmaw(i))
@@ -3010,5 +3002,4 @@
   REAL, DIMENSION (klon),           INTENT(IN)          :: cin, wape  ! RM : A Faire disparaitre
 
-!  
   REAL, DIMENSION (klon),           INTENT(OUT)         :: rad_wk    !! r = wake radius
   REAL, DIMENSION (klon),           INTENT(OUT)         :: gfl       !! Lg = gust front lenght per unit area
@@ -3062,5 +3053,5 @@
           d_sig_col(i) = - cont_fact(i)*(wdens(i)-awdens(i))**2*(2.*sigmaw(i)/wdens(i)-aa0)
           d_sig_spread(i) = gfl(i)*cstar(i)
-!
+
           d_sig_gen(i) =  d_sig_gen(i)*dtimesub
           d_sig_death(i) = d_sig_death(i)*dtimesub
@@ -3081,5 +3072,5 @@
           d_dens_death(i) = - (wdens(i)-awdens(i))*tau_wk_inv_min 
           d_dens_col(i) =  - cont_fact(i)*wdens(i)**2
-! 
+
           d_dens_gen(i) =  d_dens_gen(i)*dtimesub
           d_dens_death(i) = d_dens_death(i)*dtimesub
@@ -3091,5 +3082,5 @@
           d_adens_icol(i) = cont_fact(i)*(wdens(i)-awdens(i))**2
           d_adens_acol(i) = - cont_fact(i)*awdens(i)**2
-!
+
           d_adens_death(i) =  d_adens_death(i)*dtimesub
           d_adens_icol(i) =   d_adens_icol(i)*dtimesub
@@ -3165,5 +3156,4 @@
   REAL, DIMENSION (klon),           INTENT(IN)          :: cin, wape  ! RM : A Faire disparaitre
 
-!  
   REAL, DIMENSION (klon),           INTENT(OUT)         :: rad_wk    !! r = mean wake radius
   REAL, DIMENSION (klon),           INTENT(OUT)         :: arad_wk    !! r_A = wake radius of active wakes
@@ -3222,14 +3212,14 @@
          iwdens(i) = wdens(i) - awdens(i)
          isigmaw(i) = sigmaw(i) - asigmaw(i)
-!
+
          arad_wk(i) = max( sqrt(asigmaw(i)/(3.14*awdens(i))) , rzero)
          irad_wk(i) = max( sqrt((sigmaw(i)-asigmaw(i))/  &
                            (3.14*max(smallestreal,(wdens(i)-awdens(i))))), rzero)
          rad_wk(i) = (awdens(i)*arad_wk(i)+(wdens(i)-awdens(i))*irad_wk(i))/wdens(i)
-!
+
          s_wk(i) = 3.14*rad_wk(i)**2
          as_wk(i) = 3.14*arad_wk(i)**2
          is_wk(i) = 3.14*irad_wk(i)**2
-!
+
          gfl(i)  = 2.*sqrt(3.14*wdens(i)*sigmaw(i))
          agfl(i) = 2.*sqrt(3.14*awdens(i)*asigmaw(i))
@@ -3249,5 +3239,5 @@
           d_sig_col(i) = - 2.*igfl(i)*cstar(i)*iwdens(i)*(2.*is_wk(i)-aa0)
           d_sig_spread(i) = gfl(i)*cstar(i)
-!
+
           d_sig_gen(i) =  d_sig_gen(i)*dtimesub
           d_sig_death(i) = d_sig_death(i)*dtimesub
@@ -3281,5 +3271,5 @@
           d_asig_iicol(i) = 2.*igfl(i)*cstar(i)*iwdens(i)*aa0
           d_asig_spread(i) = agfl(i)*cstar(i)
-!
+
           d_asig_death(i) = d_asig_death(i)*dtimesub
           d_asig_aicol(i) =  d_asig_aicol(i)*dtimesub 
@@ -3308,5 +3298,5 @@
           d_dens_death(i) = - iwdens(i)*tau_wk_inv_min 
           d_dens_col(i) =  - 2.*gfl(i)*cstar(i)*wdens(i)
-! 
+
           d_dens_gen(i) =  d_dens_gen(i)*dtimesub
           d_dens_death(i) = d_dens_death(i)*dtimesub
@@ -3330,5 +3320,5 @@
           d_adens_icol(i) =   2.*igfl(i)*cstar(i)*iwdens(i)
           d_adens_acol(i)  = - 2.*agfl(i)*cstar(i)*awdens(i)
-!
+
           d_adens_death(i) =  d_adens_death(i)*dtimesub
           d_adens_icol(i) =   d_adens_icol(i)*dtimesub
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake_ini.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_wake_ini.F90	(revision 5099)
@@ -108,13 +108,13 @@
 
   smallestreal=tiny(smallestreal)
-!
+
   prt_level=prt_lev
   epsilon_loc=1.E-15
   wapecut=1. ! previously 5.
-!
+
   rzero = 5000.
   CALL getin_p('rzero_wk', rzero)
   aa0 = 3.14*rzero*rzero
-! 
+
   ! Essais d'initialisation avec sigmaw = 0.02 et hw = 10.
 !!  sigmad=0.005
@@ -122,10 +122,10 @@
   CALL getin_p('sigmad', sigmad)
   hwmin=10.
-!
+
 !!wdensthreshold=1.e-12
   wdensthreshold=1.e-14
   wdensthreshold=2.e-14
   CALL getin_p('wdensthreshold', wdensthreshold)
-!
+
   IF (sigmad < 0.) THEN
     sigmad = abs(sigmad)
@@ -135,6 +135,6 @@
     wdensinit = wdensthreshold/2.
   ENDIF
-!
-!
+
+
   ! cc nrlmd
   sigmaw_max=0.4
@@ -211,5 +211,5 @@
   CALL getin_p('wdens_ref_l',wdens_ref(2))    !wake number per unit area ; land
 !>jyg
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !!!!!!!!!  Population dynamics parameters    !!!!!!!!!!!!!!!!!!!!!!!!!!!!
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yoerad.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yoerad.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_yoerad.f90	(revision 5099)
@@ -0,0 +1,181 @@
+! Copied from rrtm/yoerad.F90 to allow compilation of StratAer blocks
+
+MODULE lmdz_yoerad
+
+  IMPLICIT NONE
+
+  SAVE
+
+  !     ------------------------------------------------------------------
+  !*    ** *YOERAD* - CONTROL OPTIONS FOR RADIATION CONFIGURATION
+  !     ------------------------------------------------------------------
+
+  INTEGER :: NAER
+  INTEGER :: NMODE
+  INTEGER :: NOZOCL
+  INTEGER :: NRADFR
+  INTEGER :: NRADPFR
+  INTEGER :: NRADPLA
+  INTEGER :: NRINT
+  INTEGER :: NRADINT
+  INTEGER :: NRADRES
+  INTEGER :: NRADNFR
+  INTEGER :: NRADSFR
+  INTEGER :: NOVLP
+  INTEGER :: NRPROMA
+  INTEGER :: NLW
+  !INTEGER :: NSW  mis dans .def MPL 20140211
+  INTEGER :: NSWNL
+  INTEGER :: NSWTL
+  INTEGER :: NTSW
+  INTEGER :: NUV
+  INTEGER :: NCSRADF
+  INTEGER :: NICEOPT
+  INTEGER :: NLIQOPT
+  INTEGER :: NRADIP
+  INTEGER :: NRADLP
+  INTEGER :: NINHOM
+  INTEGER :: NLAYINH
+  INTEGER :: NLNGR1H
+  INTEGER :: NPERTAER
+  INTEGER :: NPERTOZ
+  INTEGER :: NSCEN
+  INTEGER :: NHINCSOL
+  INTEGER :: NMCICA
+
+  LOGICAL :: LERAD1H
+  LOGICAL :: LERADHS
+  LOGICAL :: LEPO3RA
+  LOGICAL :: LRADLB
+  LOGICAL :: LONEWSW
+  LOGICAL :: LECSRAD
+  LOGICAL :: LRRTM
+  LOGICAL :: LSRTM
+  LOGICAL :: LDIFFC
+  LOGICAL :: LHVOLCA
+  LOGICAL :: LNEWAER
+  LOGICAL :: LNOTROAER
+  LOGICAL :: LRAYL
+  LOGICAL :: LOPTRPROMA
+  LOGICAL :: LECO2VAR
+  LOGICAL :: LHGHG
+
+  CHARACTER (LEN = 256) :: CRTABLEDIR
+  CHARACTER (LEN = 32) :: CRTABLEFIL
+  LOGICAL :: LCCNL
+  LOGICAL :: LCCNO
+
+  REAL :: RAOVLP, RBOVLP
+  REAL :: RCCNLND, RCCNSEA
+  LOGICAL :: LEDBUG
+  REAL :: RPERTOZ, RRe2De
+  REAL :: RLWINHF, RSWINHF
+
+  !        * E.C.M.W.F. PHYSICS PACKAGE *
+
+  !     J.-J. MORCRETTE       E.C.M.W.F.      89/07/14
+
+  !  NAME     TYPE     PURPOSE
+  !  ----  :  ----   : ---------------------------------------------------
+  ! LERAD1H: LOGICAL : .T. TO ALLOW MORE FREQUENT RADIATION CALCULATIONS
+  !                  : DURING FIRST N HOURS OF FORECAST
+  ! NLNGR1H: INTEGER : NUMBER FORECAST HOURS DURING WHICH MORE FREQUENT
+  !                    RADIATION CALCULATIONS ARE REQUIRED
+  ! LERADHS: LOGICAL : .T. IF RAD.COMPUTED ON A COARSER SAMPLED GRID
+  ! LEPO3RA: LOGICAL : .T. IF PROGNOSTIC OZONE (EC) IS PASSED TO RADIATION
+  ! NAER   : INTEGER : CONFIGURATION INDEX FOR AEROSOLS
+  ! NMODE  : INTEGER : CONFIGURATION FOR RADIATION CODE: FLUX VS. RADIANCE
+  ! NOZOCL : INTEGER : CHOICE OF OZONE CLIMATOLOGY (0 old, 1 new)
+  ! NRADFR : INTEGER : FREQUENCY OF FULL RADIATION COMPUTATIONS
+  !                    IF(NRADFR.GT.0): RAD EVERY 'NRADFR' TIME-STEPS
+  !                    IF(NRADFR.LT.0): RAD EVERY '-NRADFR' HOURS
+  ! NRADPFR: INTEGER : PRINT FREQUENCY FOR RAD.STATISTICS (in RAD.T.STEPS)
+  ! NRADPLA: INTEGER : PRINT RAD.STATISTICS EVERY 'NRADPLA' ROWS
+  ! NRINT  : INTEGER : INTERPOLATION DISTANCE (in points)
+  ! NRADINT: INTEGER : RADIATION INTERPOLATION METHOD
+  !                  : 0 = CURRENT RADIATION INTERPOLATION (CONTROLLED BY NRINT)
+  !                  : 1 = SPECTRAL TRANSFORM INTERPOLATION
+  !                  : 2 =  4 POINT HORIZONTAL INTERPOLATION
+  !                  : 3 = 12 POINT HORIZONTAL INTERPOLATION
+  ! NRADRES: INTEGER : RADIATION GRID SPECTRAL RESOLUTION
+  ! NRADNFR: INTEGER : NORMAL   FREQUENCY OF RADIATION STEPS
+  ! NRADSFR: INTEGER : START-UP FREQUENCY OF RADIATION STEPS
+  ! NOVLP  : INTEGER : CLOUD OVERLAP CONFIGURATION
+  ! NRPROMA: INTEGER : VECTOR LENGTH FOR RADIATION CALCULATIONS
+  ! NLW    : INTEGER : NUMBER OF LONGWAVE SPECTRAL INTERVALS
+  ! NSW    : INTEGER : NUMBER OF SHORTWAVE SPECTRAL INTERVALS
+  ! NSWNL  : INTEGER : NUMBER OF SHORTWAVE SPECTRAL INTERVALS IN NL MODEL
+  ! NSWTL  : INTEGER : NUMBER OF SHORTWAVE SPECTRAL INTERVALS IN TL MODEL
+  ! NTSW   : INTEGER : MAXIMUM POSSIBLE NUMBER OF SW SPECTRAL INTERVALS
+  ! NUV    : INTEGER : NUMBER OF UV SPECTRAL INTERVALS FOR THE UV PROCESSOR
+  ! LRADLB : LOGICAL : .T. IF RADIATION COURSER GRID IS TO BE LOAD BALANCED
+  !                  : OVER PROCESSORS (I.E. WHEN NRINT>1)
+  ! LOPTRPROMA:LOGICAL: .T. NRPROMA will be optimised
+  !                   : .F. NRPROMA will not be optimised (forced
+  !                   :         by negative NRPROMA in namelist)
+
+  ! NRADIP : INTEGER : INDEX FOR DIAGNOSIS OF ICE CLOUD EFFECTIVE RADIUS
+  !          0=EbCu/SmSh  1=EbCu/EbCu  2=FuLi/FuLi  3=Fu/Fu&al
+  ! NRADLP : INTEGER : INDEX FOR DIAGNOSIS OF LIQ. CLOUD EFFECTIVE RADIUS
+  !          0=YF/SmSh    1=ASl/HSa    2=ASl/LiLi
+  ! NICEOPT: INTEGER : INDEX FOR ICE CLOUD OPTICAL PROPERTIES
+  !          0=40u        1=40-130     2=30-60      3=Sun'01
+  ! NLIQOPT: INTEGER : INDEX FOR LIQUID WATER CLOUD OPTICAL PROPERTIES
+  !          0=f(P)       1=10/13      2=Martin_et_al
+
+  ! LONEWSW: LOGICAL : .T. IF NEW SW CODE IS ACTIVE
+  ! LECSRAD: LOGICAL : .T. IF CLEAR-SKY RADIATION IS ARCHIVED AS PEXTR2
+  ! NCSRADF: INTEGER : 1 IF ACCUMULATED, 2 IF INSTANTANEOUS
+  ! LRRTM  : LOGICAL : .T. IF RRTM140MR IS USED FOR LW RADIATION TRANSFER
+
+  ! LHVOLCA: LOGICAL : .T. IF GISS HISTORY OF VOLCANIC AEROSOLS IS ON
+  ! LNEWAER: LOGICAL : .T. IF AEROSOL MONTHLY DISTRIBUTIONS ARE USED
+  ! LNOTROAER:LOGICAL: .T. IF NO TROPOSPHERIC AEROSOLS
+  ! CRTABLEDIR: CHAR : IF NRADINT > 0 SPECIFIES DIRECTORY PATH FOR RADIATION
+  !                  : GRID RTABLE NAMELIST
+  ! CRTABLEFIL: CHAR : IF NRADINT > 0 SPECIFIES FILE NAME OF RADIATION
+  !                  : GRID RTABLE NAMELIST
+  ! LRAYL  : LOGICAL : .T. NEW RAYLEIGH FOR SW-6 VERSION
+
+  ! RAOVLP : REAL    : COEFFICIENTS FOR ALPHA1 FACTOR IN HOGAN &
+  ! RBOVLP : REAL    : ILLINGWORTH's PARAMETRIZATION
+
+  ! LCCNL  : LOGICAL : .T. IF CCN CONCENTRATION OVER LAND IS DIAGNOSED
+  ! LCCNO  : LOGICAL : .T. IF CCN CONCENTRATION OVER OCEAN IS DIAGNOSED
+  ! RCCNLND: REAL    : NUMBER CONCENTRATION (CM-3) OF CCNs OVER LAND
+  ! RCCNSEA: REAL    : NUMBER CONCENTRATION (CM-3) OF CCNs OVER SEA
+
+  ! LDIFFC : LOGICAL : .T. IF SAVIJARVI'S DIFFUSIVITY CORRECTION IS ON
+
+  ! NINHOM : INTEGER : 0 IF NO INHOMOGENEITY SCALING EFFECT
+  !                    1 IF SIMPLE 0.7 SCALING
+  !                    2 IF BARKER, 3 IF CAIRNS ET AL.
+  ! RLWINHF: REAL    : INHOMOG. SCALING FACTOR FOR CLOUD LW OPTICAL THICKNESS
+  ! RSWINHF: REAL    : INHOMOG. SCALING FACTOR FOR CLOUD SW OPTICAL THICKNESS
+
+  ! NPERTAER : INTERGER : PERCENTAGE OF PERTURBATION FOR AEROSOL
+  ! NPERTOZONE : INTEGER : PERCENTAGE OF PERTURBATION FOR OZONE
+  ! NHINCSOL:INTEGER :
+  !        = 0 NO VARIABILITY OF SOLAR CONSTANT IS ACCOUNTED FOR
+  !        = 1 IF YEAR-TO-YEAR VARIABILITY OF SOLAR CONSTANT IS ACCOUNTED FOR
+  !        = 2 IF MONTH-TO-MONTH VARIABILITY OF SOLAR CONSTANT IS ACCOUNTED FOR
+  ! LECO2VAR: LOGICAL: .T. IF ERA-40/AMIP2 VARIABILITY OF GHG IS ON
+  ! LHGHG  : LOGICAL : .T. IF VARIABILITY OF GREENHOUSE GASES (INCLUDING CO2) IS ON
+  ! N.B.: LHGHG supercedes LECO2VAR and allows using better specification of trace gases
+  ! NSCEN  : INTEGER : 21st CENTURY SCENARIO FOR GHG (1=A1B, 2=A2, 3=B1)
+  ! RRe2De : REAL    : CONVERSION FACTOR BETWWEN EFFECTIVE RADIUS AND PARTICLE SIZE
+  !                    FOR ICE
+  ! NMCICA : INTEGER :  0: NO McICA
+  !                     1: McICA w maximum-random in cloud generator
+  !                     2: McICA w generalized overlap in cloud generator
+  !     ------------------------------------------------------------------
+
+  !$OMP THREADPRIVATE(crtabledir,crtablefil,lccnl,lccno,ldiffc,leco2var,lecsrad)
+  !$OMP THREADPRIVATE(ledbug,lepo3ra,lerad1h,leradhs,lhghg,lhvolca,lnewaer,lnotroaer)
+  !$OMP THREADPRIVATE(lonewsw,loptrproma,lradlb,lrayl,lrrtm,lsrtm,naer,ncsradf,nhincsol)
+  !$OMP THREADPRIVATE(niceopt,ninhom,nlayinh,nliqopt,nlngr1h,nlw,nmcica,nmode,novlp,nozocl)
+  !$OMP THREADPRIVATE(npertaer,npertoz,nradfr,nradint,nradip,nradlp,nradnfr,nradpfr,nradpla)
+  !$OMP THREADPRIVATE(nradres,nradsfr,nrint,nrproma,nscen,nswnl,nswtl,ntsw,nuv,raovlp)
+  !$OMP THREADPRIVATE(rbovlp,rccnlnd,rccnsea,rlwinhf,rpertoz,rre2de,rswinhf)
+
+END MODULE lmdz_yoerad
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lsc_scav.F90	(revision 5099)
@@ -51,5 +51,5 @@
  LOGICAL,SAVE :: debut=.TRUE.
 !$OMP THREADPRIVATE(debut)
-!
+
   REAL,PARAMETER :: henry=1.4  ! constante de Henry en mol/l/atm ~1.4 for gases
   REAL           :: henry_t    !  constante de Henry a T t  (mol/l/atm)
@@ -88,8 +88,8 @@
   REAL           :: pr, ps, ice, water
 !  REAL :: conserv
-!
-!
+
+
   IF (debut) THEN
-!
+
       alpha_r=0.001        !  coefficient d'impaction pour la pluie
       alpha_s=0.01         !  coefficient d'impaction pour la neige  
@@ -101,5 +101,5 @@
       frac_aer=0.5
       debut=.FALSE.
-!
+
       OPEN(99,file='lsc_scav_param.data',status='old', &
                 form='formatted',err=9999)
@@ -122,8 +122,8 @@
    print*,'frac_coar_scav',frac_coar_scav
    print*,'frac_aer ev',frac_aer
-!
+
   ENDIF !(debut)
 !!!!!!!!!!!!!!!!!!!!!!!!!!!
-!
+
 ! initialization
   dxin=0.
@@ -160,5 +160,5 @@
       frac_ev=frac_gas
   ENDIF
-!
+
 !jyg<
   IF (aerosol(it)) THEN ! aerosol
@@ -189,5 +189,5 @@
       ENDIF ! (iflag_lscav .eq. 4)
       beta_v1(i,k)=beta    !! for output
-!
+
       dxin=tr_seri(i,k,it)*(exp(-scav(i,k)*beta*pdtime)-1.)
       his_dh(i)=his_dh(i)-dxin*zmass(i,k)/pdtime !  kg/m2/s
@@ -230,5 +230,5 @@
         his_dh(i)=0.
       ENDIF
-!
+
 !      print*,  k, 'beta_ev',beta_ev
 ! remove tracers from precipitation owing to release by evaporation in his_dh
@@ -238,12 +238,12 @@
 
       d_tr_evap(i,k,it)=dxev       !  kg/kg/timestep
-!
+
     ENDDO
   ENDDO
-!
+
   DO i = 1,klon
      qPrls(i,it) = his_dh(i)/max(flxr(i,1)+flxs(i,1),1.e-16)
   ENDDO
-!
+
 ! test de conservation
 !      conserv=0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/macv2sp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/macv2sp.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/macv2sp.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE MACv2SP(pphis,pplay,paprs,xlon,xlat,tau_allaer,piz_allaer,cg_allaer)
-  !
+
   !--routine to read the MACv2SP plume and compute optical properties
   !--requires flag_aerosol = 7
@@ -7,10 +7,10 @@
   !--pre-ind aerosols (index=1) are not changed, present-day aerosols (index=2) are incremented
   !--uses model year so year_cur needs to be correct in the model simulation
-  !
+
   !--aod_prof = AOD per layer 
   !--ssa_prof = SSA 
   !--asy_prof = asymetry parameter
   !--dNovrN   = enhancement factor for CDNC
-  !
+
   USE mo_simple_plumes, ONLY: sp_aop_profile
   USE phys_cal_mod, ONLY : year_cur, day_cur, year_len
@@ -19,9 +19,9 @@
   USE phys_local_var_mod, ONLY: t_seri, od443aer, od550aer, od865aer, ec550aer, dryod550aer, od550lt1aer, dNovrN
   !!USE YOMCST, ONLY : RD, RG
-  !
+
   IMPLICIT NONE
-  !
+
   include "YOMCST.h"
-  ! 
+
   REAL,DIMENSION(klon),INTENT(IN)        :: pphis   ! Geopotentiel de surface
   REAL,DIMENSION(klon,klev),INTENT(IN)   :: pplay   ! pression pour le mileu de chaque couche (en Pa)
@@ -29,17 +29,17 @@
   REAL,DIMENSION(klon),INTENT(IN)        :: xlat    ! latitudes pour chaque point
   REAL,DIMENSION(klon),INTENT(IN)        :: xlon    ! longitudes pour chaque point
-  !
+
   REAL, DIMENSION(klon,klev,2,nbands_sw_rrtm), INTENT(OUT) :: tau_allaer !  epaisseur optique aerosol
   REAL, DIMENSION(klon,klev,2,nbands_sw_rrtm), INTENT(OUT) :: piz_allaer !  single scattering albedo aerosol
   REAL, DIMENSION(klon,klev,2,nbands_sw_rrtm), INTENT(OUT) :: cg_allaer  !  asymmetry parameter aerosol
-  !
+
   REAL,DIMENSION(klon,klev) :: aod_prof, ssa_prof, asy_prof
   REAL,DIMENSION(klon,klev) :: z, dz
   REAL,DIMENSION(klon)      :: oro, zrho, zt
-  !
+
   INTEGER, PARAMETER :: nmon = 12
-  !
+
   REAL, PARAMETER    :: l443 = 443.0, l550 = 550.0, l865 = 865.0 !--wavelengths in nm
-  !
+
   INTEGER, PARAMETER :: Nwvmax=25
   REAL, DIMENSION(0:Nwvmax), PARAMETER :: lambda=(/ 240.0, &  !--this one is for band 1
@@ -49,5 +49,5 @@
                  1100.0, 1190.0, 1280.0, 1530.0, 1640.0,   &
                  2130.0, 2380.0, 2910.0, 3420.0, 4000.0   /)
-  !
+
   REAL, DIMENSION(1:Nwvmax-1), PARAMETER :: weight =(/    &   !--and the weights to be given to the bands
                  0.01,  4.05,  9.51, 15.99, 26.07, 33.10, &   !--corresponding to a typical solar spectrum 
@@ -55,14 +55,14 @@
                 42.22, 40.12, 32.70, 14.44, 19.48, 14.23, &
                 13.43, 16.42,  8.33,  0.95,  0.65,  2.76  /)
-  !
+
   REAL :: zlambda, zweight
   REAL :: year_fr
-  !
+
   INTEGER band, i, k, Nwv
-  !
+
   ! define the height and dheight arrays
-  !
+
   oro(:)  = pphis(:)/RG                             ! surface height in m
-  !
+
   DO k = 1, klev
     zrho(:) = pplay(:,k)/t_seri(:,k)/RD                         ! air density in kg/m3
@@ -76,58 +76,58 @@
     ENDIF
   ENDDO
-  !
+
   !--fractional year
-  !
+
   year_fr = FLOAT(year_cur) + (FLOAT(day_cur)-0.5) / FLOAT(year_len)
   IF (year_fr<1850.0.OR.year_fr>=2017.0) THEN
      CALL abort_physic ('macv2sp','year not supported by plume model',1)
   ENDIF
-  !
+
   !--call to sp routine -- 443 nm
-  !
+
   CALL sp_aop_profile                                    ( &
        klev     ,klon ,l443 ,oro    ,xlon     ,xlat      , &
        year_fr  ,z    ,dz   ,dNovrN ,aod_prof ,ssa_prof  , &
        asy_prof )
-  !
+
   !--AOD calculations for diagnostics
   od443aer(:)= od443aer(:)+SUM(aod_prof(:,:),dim=2)
-  !
+
   !--call to sp routine -- 550 nm
-  !
+
   CALL sp_aop_profile                                    ( &
        klev     ,klon ,l550 ,oro    ,xlon     ,xlat      , &
        year_fr  ,z    ,dz   ,dNovrN ,aod_prof ,ssa_prof  , &
        asy_prof )
-  !
+
   !--AOD calculations for diagnostics
   od550aer(:)=od550aer(:)+SUM(aod_prof(:,:),dim=2)
-  !
+
   !--dry AOD calculation for diagnostics
   dryod550aer(:)=dryod550aer(:)+od550aer(:)
-  !
+
   !--fine-mode AOD calculation for diagnostics
   od550lt1aer(:)=od550lt1aer(:)+od550aer(:)
-  !
+
   !--extinction coefficient for diagnostic
   ec550aer(:,:)=ec550aer(:,:)+aod_prof(:,:)/dz(:,:)
-  !
+
   !--call to sp routine -- 865 nm
-  !
+
   CALL sp_aop_profile                                    ( &
        klev     ,klon ,l865 ,oro    ,xlon     ,xlat      , &
        year_fr  ,z    ,dz   ,dNovrN ,aod_prof ,ssa_prof  , &
        asy_prof )
-  !
+
   !--AOD calculations for diagnostics
   od865aer(:)=od865aer(:)+SUM(aod_prof(:,:),dim=2)
-  !
+
   !--re-weighting of piz and cg arrays before adding the anthropogenic aerosols
   !--index 2 = all natural + anthropogenic aerosols
   piz_allaer(:,:,2,:)=piz_allaer(:,:,2,:)*tau_allaer(:,:,2,:)
   cg_allaer(:,:,2,:) =cg_allaer(:,:,2,:)*piz_allaer(:,:,2,:)
-  !
+
   !--now computing the same at many wavelengths to fill the model bands
-  !
+
   DO Nwv=0,Nwvmax-1
 
@@ -157,20 +157,20 @@
       band=6
     ENDIF
-    !
+
     CALL sp_aop_profile                                       ( &
          klev     ,klon ,zlambda ,oro    ,xlon     ,xlat      , &
          year_fr  ,z    ,dz      ,dNovrN ,aod_prof ,ssa_prof  , &
          asy_prof )
-    !
+
     !--adding up the quantities tau, piz*tau and cg*piz*tau
     tau_allaer(:,:,2,band)=tau_allaer(:,:,2,band)+zweight*MAX(aod_prof(:,:),1.e-15)
     piz_allaer(:,:,2,band)=piz_allaer(:,:,2,band)+zweight*MAX(aod_prof(:,:),1.e-15)*ssa_prof(:,:)
     cg_allaer(:,:,2,band) =cg_allaer(:,:,2,band) +zweight*MAX(aod_prof(:,:),1.e-15)*ssa_prof(:,:)*asy_prof(:,:)
-    !
+
   ENDDO
-  !
+
   !--renpomalizing cg and piz now that MACv2SP increments have been added
   cg_allaer(:,:,2,:) =cg_allaer(:,:,2,:) /piz_allaer(:,:,2,:)
   piz_allaer(:,:,2,:)=piz_allaer(:,:,2,:)/tau_allaer(:,:,2,:)
-  !
+
 END SUBROUTINE MACv2SP
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/minmaxqfi.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE minmaxqfi(zq,qmin,qmax,comment)
   USE dimphy
